# $Revision: 1.7 $, $Date: 2007/05/18 05:20:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Time
%define	pnam	Human
Summary:	Convert localtime() format to "speaking clock" time
Summary(pl.UTF-8):	Konwersja localtime() do czasu w języku mówionym
Name:		perl-%{pdir}-%{pnam}
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Time/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0e869154c54593305cb1366285c8cac5
URL:		http://search.cpan.org/dist/Time-Human/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a "vague" rendering of the time into natural
language; it's originally intended for text-to-speech applications
and other speech-based interfaces. 

%description -l pl.UTF-8
Ten moduł udostępnia funkcję przekształcającą czas na język naturalny.
Oryginalnie została przeznaczona do aplikacji czytających tekst oraz
innych bazujących na mowie interfejsów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Time/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Human.spec,v $
Revision 1.7  2007/05/18 05:20:40  qboosh
- generic URL

Revision 1.6  2007/05/17 22:49:16  agaran
- version up to 1.03, builds here, rel=1,

Revision 1.5  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.3  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.2  2004/11/08 21:02:38  qboosh
- pl fix

Revision 1.1  2004/11/08 15:59:56  undefine
- initital pld version
